Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: digikam fails to launch after current update

  1. #1

    Default digikam fails to launch after current update

    Hello

    I noticed today's update included some of its shared libraries and now when I try to launch digikam, it fails with

    digikam
    capi::version: 0.6.0
    QCommandLineParser: already having an option named "h"
    QCommandLineParser: already having an option named "help-all"
    QCommandLineParser: already having an option named "v"
    digikam: symbol lookup error: /usr/lib64/libdigikamgui.so.7.2.0: undefined symbol: _ZN2cv3dnn14dnn4_v202011173NetC1Ev

  2. #2

    Default Re: digikam fails to launch after current update

    I experienced exactly the same here. Looks like bug.

  3. #3
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,802

    Default Re: digikam fails to launch after current update

    Also able to confirm... bug reported:

    https://bugzilla.opensuse.org/show_bug.cgi?id=1185700
    Regards, Paul

    2x Tumbleweed (Snapshot: 20210611) KDE Plasma 5
    2x Leap 15.2 KDE Plasma 5

  4. #4
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,802

    Default Re: digikam fails to launch after current update

    Just as a follow up...

    A temporary "fix" which will get digikam working again is to install a prior build from:

    https://download.opensuse.org/histor...po/oss/x86_64/
    Regards, Paul

    2x Tumbleweed (Snapshot: 20210611) KDE Plasma 5
    2x Leap 15.2 KDE Plasma 5

  5. #5
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,802

    Default Re: digikam fails to launch after current update

    As a further follow up...

    Snapshot 20210504, which included an update to libopencv* has solved this issue.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20210611) KDE Plasma 5
    2x Leap 15.2 KDE Plasma 5

  6. #6
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    2,672
    Blog Entries
    1

    Default Re: digikam fails to launch after current update

    Quote Originally Posted by tannington View Post
    As a further follow up...

    Snapshot 20210504, which included an update to libopencv* has solved this issue.
    I have upgraded to 20210504, but alas: digikam: symbol lookup error: /usr/lib64/libdigikamgui.so.7.2.0: undefined symbol: _ZN2cv3dnn14dnn4_v202011173NetC1Ev

    Code:
    erlangen:~ # zypper se -is libopencv   
    Loading repository data... 
    Reading installed packages... 
    
    S | Name                   | Type    | Version   | Arch   | Repository 
    --+------------------------+---------+-----------+--------+------------------------ 
    i | libopencv4_5           | package | 4.5.2-1.1 | x86_64 | openSUSE-Tumbleweed-Oss 
    i | libopencv_imgcodecs4_5 | package | 4.5.2-1.1 | x86_64 | openSUSE-Tumbleweed-Oss 
    i | libopencv_videoio4_5   | package | 4.5.2-1.1 | x86_64 | openSUSE-Tumbleweed-Oss 
    i | libopencv_ximgproc4_5  | package | 4.5.2-1.1 | x86_64 | openSUSE-Tumbleweed-Oss 
    erlangen:~ #
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), openSUSE Tumbleweed, KDE Plasma 5

  7. #7
    Join Date
    Nov 2008
    Posts
    1,821
    Blog Entries
    1

    Default Re: digikam fails to launch after current update

    Quote Originally Posted by tannington View Post
    As a further follow up...

    Snapshot 20210504, which included an update to libopencv* has solved this issue.
    Hi Paul,
    Not here it doesn't. I was using digiKam yesterday and all was well. Just did s zypper dup today and no digiKam.

    Being a simple soul I could,t work out what I needed to revert and found the Tumbleweed snapshots - usage notes.
    Thought I would give it a try.

  8. #8
    Join Date
    Nov 2008
    Posts
    1,821
    Blog Entries
    1

    Default Re: digikam fails to launch after current update

    Quote Originally Posted by Budgie2 View Post
    Hi Paul,
    Not here it doesn't. I was using digiKam yesterday and all was well. Just did s zypper dup today and no digiKam.

    Being a simple soul I could,t work out what I needed to revert and found the Tumbleweed snapshots - usage notes.
    Thought I would give it a try.
    Sorry I missed the edit window as reverting and rebooting took too long but here is my reversion result:-
    Code:
    alastair@ibmserv2:~> tumbleweed status 
    latest   : 20210504 
    target   : 20210430 
    installed: 20210430 
    alastair@ibmserv2:~> 
    
    And I am pleased to report digiKam is back up and working.
    I went back a couple of snapshots because I have had some odd erratic behaviour on my machine. I have no idea what has caused it as I have also changed mouse but only noticed it in the last few days so went back to April and will see how I get on.

  9. #9
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,802

    Default Re: digikam fails to launch after current update

    All working OK here now with 20210504

    Code:
    paul@Orion-15:~$ zypper se -is libopencv
    Loading repository data...
    Reading installed packages...
    
    S  | Name                   | Type    | Version    | Arch   | Repository
    ---+------------------------+---------+------------+--------+------------------------
    i+ | libopencv3_4           | package | 3.4.10-2.4 | x86_64 | openSUSE-Tumbleweed-Oss
    i  | libopencv4_5           | package | 4.5.2-1.1  | x86_64 | openSUSE-Tumbleweed-Oss
    i  | libopencv_imgcodecs4_5 | package | 4.5.2-1.1  | x86_64 | openSUSE-Tumbleweed-Oss
    i  | libopencv_ximgproc4_5  | package | 4.5.2-1.1  | x86_64 | openSUSE-Tumbleweed-Oss
    paul@Orion-15:~$ zypper se -is *digikam*
    Loading repository data...
    Reading installed packages...
    
    S  | Name            | Type    | Version      | Arch   | Repository
    ---+-----------------+---------+--------------+--------+-----------------------
    i+ | digikam         | package | 7.2.0-214.19 | x86_64 | KDE Extra (Tumbleweed)
    i+ | digikam-plugins | package | 7.2.0-214.19 | x86_64 | KDE Extra (Tumbleweed)
    i+ | libdigikamcore7 | package | 7.2.0-214.19 | x86_64 | KDE Extra (Tumbleweed)
    paul@Orion-15:~$
    Although I should note I'm using digikam from KDE:Extra
    Regards, Paul

    2x Tumbleweed (Snapshot: 20210611) KDE Plasma 5
    2x Leap 15.2 KDE Plasma 5

  10. #10
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,802

    Default Re: digikam fails to launch after current update

    Hmm... indeed it still fails when using digikam from the "standard" TW repository

    Code:
    paul@Orion-15:~$ zypper se -is *digikam*
    Loading repository data...
    Reading installed packages...
    
    S  | Name            | Type    | Version   | Arch   | Repository
    ---+-----------------+---------+-----------+--------+------------------------
    i+ | digikam         | package | 7.2.0-1.2 | x86_64 | openSUSE-Tumbleweed-Oss
    i+ | digikam-plugins | package | 7.2.0-1.2 | x86_64 | openSUSE-Tumbleweed-Oss
    i+ | libdigikamcore7 | package | 7.2.0-1.2 | x86_64 | openSUSE-Tumbleweed-Oss
    paul@Orion-15:~$

    Edit: Re-opened bugzilla report.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20210611) KDE Plasma 5
    2x Leap 15.2 KDE Plasma 5

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •